com.fasterxml.jackson.core.io

## Class BigDecimalParser

- java.lang.Object
- - com.fasterxml.jackson.core.io.BigDecimalParser

    public final class BigDecimalParser
    extends Object

Internal Jackson Helper class used to implement more optimized parsing of `BigDecimal` for REALLY big values (over 500 characters).

This class is not meant to be used directly. It is designed to be used by Jackson JSON parsers (and parsers for other Jackson supported data formats). The parsers check for invalid characters and the length of the number. Without these checks, this parser is susceptible to performing badly with invalid inputs. If you need to parse numbers directly, please use JavaBigDecimalParser in fastdoubleparser instead.

Based on ideas from this this git commit.

Since:
  2.13

### Method Summary

All Methods Static Methods Concrete Methods
`static BigDecimal` `parse(char[] chars)` Internal Jackson method.
`static BigDecimal` `parse(char[] chars, int off, int len)` Internal Jackson method.
`static BigDecimal` `parse(String valueStr)` Internal Jackson method.
`static BigDecimal` `parseWithFastParser(char[] ch, int off, int len)`
`static BigDecimal` `parseWithFastParser(String valueStr)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### parse

    public static BigDecimal parse(String valueStr)

Internal Jackson method. Please do not use.

Parameters:
  `valueStr` -
Returns:
  BigDecimal value
Throws:
  `NumberFormatException`

#### parse

    public static BigDecimal parse(char[] chars,
                                   int off,
                                   int len)

Internal Jackson method. Please do not use.

Returns:
  BigDecimal value
Throws:
  `NumberFormatException`

#### parse

    public static BigDecimal parse(char[] chars)

Internal Jackson method. Please do not use.

Parameters:
  `chars` -
Returns:
  BigDecimal value
Throws:
  `NumberFormatException`

#### parseWithFastParser

    public static BigDecimal parseWithFastParser(String valueStr)

#### parseWithFastParser

    public static BigDecimal parseWithFastParser(char[] ch,
                                                 int off,
                                                 int len)